aboutsummaryrefslogtreecommitdiff
path: root/config/ratpoison/panel/music
diff options
context:
space:
mode:
Diffstat (limited to 'config/ratpoison/panel/music')
-rwxr-xr-xconfig/ratpoison/panel/music20
1 files changed, 20 insertions, 0 deletions
diff --git a/config/ratpoison/panel/music b/config/ratpoison/panel/music
new file mode 100755
index 0000000..2fb91d1
--- /dev/null
+++ b/config/ratpoison/panel/music
@@ -0,0 +1,20 @@
+#!/bin/sh
+
+while true;do
+
+new=`mpc current`
+
+if mpc | grep -q playing; then
+symbol='p'
+else
+symbol='P'
+fi
+
+echo "$symbol`echo $new | cut --bytes 1-30`"
+echo "K`mpc -h 127.0.0.1 volume | perl -pe 's/^volume://' | perl -pe 's/%$//' | perl -pe 's/^ //'`"
+mpc idle > /dev/null
+if [ $? -ne 0 ];then
+echo 'mpd not alive';
+sleep 30;
+fi
+done